summaryrefslogtreecommitdiffstats
path: root/.scripts/tools/transadd
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-11-05 17:51:24 -0500
committerLuke Smith <luke@lukesmith.xyz>2018-11-05 17:51:24 -0500
commit2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2 (patch)
tree4adda53569104861794d990ef99c85edc1ae2d8c /.scripts/tools/transadd
parentcd667e6aa111c86b40b9e3104605953e9b341332 (diff)
downloadeibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.tar.gz
eibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.tar.zst
eibhear-2f4c2a68a1cbebb0e06a5b3296e4bbb575c5fcb2.zip
scripts sorted
Diffstat (limited to '.scripts/tools/transadd')
-rwxr-xr-x.scripts/tools/transadd12
1 files changed, 12 insertions, 0 deletions
diff --git a/.scripts/tools/transadd b/.scripts/tools/transadd
new file mode 100755
index 0000000..782f67a
--- /dev/null
+++ b/.scripts/tools/transadd
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Mimeapp script for adding torrent to transmission-daemon, but will also start
+# the daemon first if not running.
+
+# Optionally requires my `note` script. The sleep of 3 seconds is because the
+# transmission-daemon sometimes fails to take remote requests in its first
+# moments.
+
+pgrep -x transmission-da || (transmission-daemon && note "Starting daemon..." && sleep 3 && pkill -RTMIN+7 i3blocks)
+
+transmission-remote -a "$@" && note "Torrent added."